Name:           lorax-templates-almalinux
Version:        8.7
Release:        1%{?dist}
Summary:        AlmaLinux 8 build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
Source0:        lorax-templates-rhel-8.7-1.tar.gz

# Required for the template branding support
Requires:       lorax > 28.14.68

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/70-almalinux

%description
AlmaLinux-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup -n lorax-templates-rhel-%{version}

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}
sed -i '/libreport-rhel-anaconda-bugzilla/d' $RPM_BUILD_ROOT/%{templatedir}/runtime-install.tmpl
sed -i '/redhat-release-eula/d' $RPM_BUILD_ROOT/%{templatedir}/runtime-install.tmpl

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Tue Oct 18 2022 Andrew Lukoshko <alukoshko@almalinux.org> - 8.7-1
- Update for AlmaLinux 8.7 beta

* Fri Mar 11 2022 Andrew Lukoshko <alukoshko@almalinux.org> - 8.6-3
- Initial build for AlmaLinux 8.6 beta
